Public Member Functions

# wxHtmlRenderingInfo Class Reference
[HTML]

`#include <wx/html/htmlcell.h>`

## Detailed Description

This class contains information given to cells when drawing them.

Contains rendering state, selection information and rendering style object that can be used to customize the output.

##

Library: wxHTML
Category: HTML

See also:
  Cells and Containers, wxHtmlCell

## Public Member Functions
| wxHtmlRenderingInfo ()
| Default ctor.
void | SetSelection (wxHtmlSelection *s)
| Accessors.
wxHtmlSelection * | GetSelection () const
| Accessors.
void | SetStyle (wxHtmlRenderingStyle *style)
| Accessors.
wxHtmlRenderingStyle & | GetStyle ()
| Accessors.
wxHtmlRenderingState & | GetState ()
| Accessors.

List of all members.

## Constructor & Destructor Documentation

wxHtmlRenderingInfo::wxHtmlRenderingInfo | ( |  | ) |

Default ctor.

## Member Function Documentation

wxHtmlSelection* wxHtmlRenderingInfo::GetSelection | ( |  | ) | const

Accessors.

wxHtmlRenderingState& wxHtmlRenderingInfo::GetState | ( |  | ) |

Accessors.

wxHtmlRenderingStyle& wxHtmlRenderingInfo::GetStyle | ( |  | ) |

Accessors.

void wxHtmlRenderingInfo::SetSelection | ( | wxHtmlSelection * | s | ) |

Accessors.

void wxHtmlRenderingInfo::SetStyle | ( | wxHtmlRenderingStyle * | style | ) |

Accessors.

|  | [ top ]